#### 7.10.1.1 teach_lpKDimCheck

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  teach_lpKDimCheck(G);

Return:
  int, 1 if K-dimension of the factor algebra is infinite, 0 otherwise

Purpose:
  Checking a factor algebra for finiteness of the K-dimension

Assume:
  - basering is a Letterplace ring.

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = freeAlgebra(r, 5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal G = x*x, y*y,x*y*x;
    // Groebner basis
    ideal I = x*x, y*x*y, x*y*x;
    // Groebner basis
    teach_lpKDimCheck(G); // invokes procedure, factor algebra is of finite K-dimension
    ==> 0
    teach_lpKDimCheck(I); // invokes procedure, factor algebra is of infinite Kdimension
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.